Install Multiple PHP Versions and PHP 5.5 with Virtualmin on CentOS


Beginning in Virtualmin 3.99, Virtualmin allow you install multiple version of PHP with Software Collections.

Installing VirtualMin on CentOS


VirtualMin is free system help user can easy manager their server or VPS. I usually use it with Drupal hosting, here is note for install VirtualMin on CentOS

Update System

# sudo yum -y update

Install pre-requisites

# sudo yum -y install perl

Download VirtualMin Installer

 # wget http://software.virtualmin.com/gpl/scripts/install.sh


# sudo sh install.sh

Wait a moment, it about to 5 minutes to install VirtualMin on your system.

Fix multilib versions error when updating yum in Centos/Fedora

Recent i need update some modules of my VPS Centos like glib2 i got error Multilib version problems found...

Solve problem: Run command bellow as root permisson

$ sudo yum upgrade --setopt=protected_multilib=false --skip-broken

Reference: http://superuser.com/questions/419329/protected-multilib-versions-error-when-updating-yum-in-fedora-16